Subject: Re: CCL:G:G9x under IRIX 6.5 ?

From: Omar Stradella <[email-masked]>
Date: Mon, 15 Mar 1999 07:55:31 -0500 (EST)

On Sun, 14 Mar 1999, Dale A. Braden wrote:

> Dear Steven,
> 
> When we upgraded to IRIX 6.5.1 on our R8000 PowerChallenge, G94 continued
> to work, having been compiled under IRIX 6.3.  But when we upgraded to
> IRIX 6.5.2, the multiprocessing capability of G94 quit.  I then recompiled
> the program under 6.5.2 on both R8000 and R10000 machines, and it compiled
> without any problem using the default makefiles, but it still crashed
> whenever more than one cpu was requested.  Then I saw a posting on the CCL
> that this problem is due to a bug in the MP libraries which is
> incompatible with IRIX 6.5.2, and that the temporary fix is to set an
> environment variable as follows: 
> 
> setenv MP_STACK_OVERFLOW OFF
> 
> This did indeed allow us to use multiple cpus again, but the results of
> frequency calculations became garbage unless only 1 cpu was used.
> 
> So if you're only using 1 cpu, then G94 should compile and run fine under
> IRIX 6.5.x.  Otherwise, I don't know what to do.  If it really is an
> incompatibility between IRIX and the MP libraries, then it presumably
> affects Gaussian98 as well.  Can anyone attest to this?
> 
> Best wishes,
> 
> Dale

Hi Dale,

Indeed there is a bug in earlier releases of libmp that started
to show in the 7.2.1.2 release due to extra checking added.
Install patch 3537 or 7.2.1.3 compilers and you won't need to set
the MP_STACK_OVERFLOW environment variable.

Check our Gaussian web pages for up-to-date news:
http://www.sgi.com/chembio/resources/gaussian

Omar.

+---------------------------------------------------------------------+
Omar G. Stradella, Ph.D.                    Supercomputing Applications 
Silicon Graphics, Inc.                          Computational Chemistry
One Cabot Road, Hudson, MA 01749, USA           N 42 22'40" W 71 33'44"
E-mail: [email-masked] Phone: +1-978-567-2258 FAX: +1-978-562-4755 
http://www.sgi.com/ChemBio                  http://reality.sgi.com/omar 
+--------  Ph-nglui mglw'nafh Cthulhu R'lyeh wgah'nagl fhtagn  -------+